ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE/configure
(Generate patch)

Comparing trunk/OOPSE/configure (file contents):
Revision 942 by gezelter, Wed Jan 14 15:49:26 2004 UTC vs.
Revision 944 by gezelter, Wed Jan 14 22:41:34 2004 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi MPI_LIBDIR MPI_INC MPI_LIB CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi MPI_LIBDIR MPI_INC MPI_F90INC MPI_LIB MPI_F90LIB CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 873 | Line 873 | Optional Packages:
873    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
874    --with-mpi=MPIDIR   give the path for MPI /usr/local
875    --with-mpi-libdir=dir  give the path for MPI-libraries MPI_DIR/lib
876 <  --with-mpi_inc=dir  give the path for MPI-include-files MPI_DIR/include
876 >  --with-mpi-inc=dir  give the path for MPI-include-files MPI_DIR/include
877    --with-sprng_prefix=PREFIX
878                            Prefix where SPRNG is installed
879    --with-sprng-libdir=PREFIX  SPRNG library directory
880    --with-sprng-include=PREFIX
881                            SPRNG include directory
882 <  --with-mkl              Do we want MKL will check /usr/local/intel/mkl60 /opt/intel/mkl60
882 >  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
883  
884   Some influential environment variables:
885    CC          C compiler command
# Line 1869 | Line 1869 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1869  
1870  
1871  
1872 +
1873   # set program name
1874   PROGNAME="oopse"
1875  
# Line 3526 | Line 3527 | F90FLAGS="$F90FLAGS $ac_verb"
3527   ac_save_F90FLAGS=$F90FLAGS
3528   F90FLAGS="$F90FLAGS $ac_verb"
3529  
3530 < (eval echo $as_me:3529: \"$ac_link\") >&5
3530 > (eval echo $as_me:3530: \"$ac_link\") >&5
3531   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3532   echo "$ac_f90_v_output" >&5
3533   F90FLAGS=$ac_save_F90FLAGS
# Line 3603 | Line 3604 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3604   ac_save_F90FLAGS=$F90FLAGS
3605   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3606  
3607 < (eval echo $as_me:3606: \"$ac_link\") >&5
3607 > (eval echo $as_me:3607: \"$ac_link\") >&5
3608   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3609   echo "$ac_f90_v_output" >&5
3610   F90FLAGS=$ac_save_F90FLAGS
# Line 4213 | Line 4214 | echo "$as_me:$LINENO: checking whether we are *really*
4214  
4215  
4216  
4217 < echo "$as_me:$LINENO: checking whether we are *really* using gcc" >&5
4218 < echo $ECHO_N "checking whether we are *really* using gcc... $ECHO_C" >&6
4217 > echo "$as_me:$LINENO: checking whether we are *really* using GNU cc" >&5
4218 > echo $ECHO_N "checking whether we are *really* using GNU cc... $ECHO_C" >&6
4219   if test "${ac_cv_prog_really_gcc+set}" = set; then
4220    echo $ECHO_N "(cached) $ECHO_C" >&6
4221   else
# Line 4683 | Line 4684 | echo "$as_me:$LINENO: checking whether we are *really*
4684  
4685  
4686  
4687 < echo "$as_me:$LINENO: checking whether we are *really* using g++" >&5
4688 < echo $ECHO_N "checking whether we are *really* using g++... $ECHO_C" >&6
4687 > echo "$as_me:$LINENO: checking whether we are *really* using GNU c++" >&5
4688 > echo $ECHO_N "checking whether we are *really* using GNU c++... $ECHO_C" >&6
4689   if test "${ac_cv_prog_really_gxx+set}" = set; then
4690    echo $ECHO_N "(cached) $ECHO_C" >&6
4691   else
# Line 4751 | Line 4752 | if test "$ac_test_CXXFLAGS" != "set"; then
4752          if test "$CXX" = xlC; then
4753                  CXXFLAGS="-O3 -qtune=auto -qansialias -w"
4754                  echo "*******************************************************"
4755 <                echo "*  You have AIX on an unknown powerpc system.  It is  *"
4756 <                echo "*  recommended that you use                           *"
4755 >                echo "*  You have Darwin on an unknown powerpc system.      *"
4756 >                echo "*  It is recommended that you use                     *"
4757                  echo "*                                                     *"
4758                  echo "*  CXXFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w  *"
4759                  echo "*                                 ^^^                 *"
# Line 5871 | Line 5872 | echo $ECHO_N "checking for mpi-inc-directory... $ECHO_
5872   echo "$as_me:$LINENO: checking for mpi-inc-directory" >&5
5873   echo $ECHO_N "checking for mpi-inc-directory... $ECHO_C" >&6
5874  
5875 < # Check whether --with-mpi_inc or --without-mpi_inc was given.
5875 > # Check whether --with-mpi-inc or --without-mpi-inc was given.
5876   if test "${with_mpi_inc+set}" = set; then
5877    withval="$with_mpi_inc"
5878    MPI_INC="$withval"
# Line 5882 | Line 5883 | echo "${ECHO_T}$MPI_INC" >&6
5883   echo "${ECHO_T}$MPI_INC" >&6
5884  
5885  
5886 + echo "$as_me:$LINENO: checking for mpi.h" >&5
5887 + echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
5888 + HAVE_MPIDOTH_C="no"
5889 + echo '#include <mpi.h>' > conftest.cc
5890 + if test -z "`${CXX} -I${MPI_INC} -c conftest.cc 2>&1`"; then
5891 +  echo "$as_me:$LINENO: result: yes" >&5
5892 + echo "${ECHO_T}yes" >&6
5893 +  HAVE_MPIDOTH_C="yes"
5894 + else
5895 +  echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
5896 + echo "${ECHO_T}no! Check MPI include paths" >&6
5897 + fi
5898 + rm -f conftest*
5899  
5900 < echo "$as_me:$LINENO: checking for MPI library" >&5
5901 < echo $ECHO_N "checking for MPI library... $ECHO_C" >&6
5902 < MPI_LIB=""
5903 < case "$host" in
5904 <  *-ibm-aix*)
5905 <    echo "$as_me:$LINENO: checking whether to use signal-based MPI library" >&5
5906 < echo $ECHO_N "checking whether to use signal-based MPI library... $ECHO_C" >&6
5907 <    echo "$as_me:$LINENO: result: $PACX_SIGNAL" >&5
5908 < echo "${ECHO_T}$PACX_SIGNAL" >&6
5909 <    if test "x$PACX_SIGNAL" = "xyes" ; then
5910 <      if test -f "$MPI_LIBDIR/libmpi.a" ; then
5911 <        MPI_LIB="-lmpi"
5912 <      elif test -f "$MPI_LIBDIR/libmpi.so" ; then
5913 <        MPI_LIB="-lmpi"
5914 <      elif test -f "$MPI_LIBDIR/libmpich.a" ; then
5915 <        MPI_LIB="-lmpich"
5916 <      else
5917 <        { { echo "$as_me:$LINENO: error: neither libmpi nor libmpich found; check path for MPI package first..." >&5
5918 < echo "$as_me: error: neither libmpi nor libmpich found; check path for MPI package first..." >&2;}
5919 <   { (exit 1); exit 1; }; }
5920 <      fi
5921 <    else
5922 <      if test -f "$MPI_LIBDIR/libmpi_r.a" ; then
5923 <         MPI_LIB="-lmpi_r"
5924 <      else
5925 <         { { echo "$as_me:$LINENO: error: libmpi_r not found; check path for MPI package..." >&5
5926 < echo "$as_me: error: libmpi_r not found; check path for MPI package..." >&2;}
5927 <   { (exit 1); exit 1; }; }
5928 <      fi
5929 <    fi
5930 <    echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5931 < echo "${ECHO_T}found $MPI_LIB" >&6
5932 <  ;;
5933 <  *)                             if test -f "$MPI_LIBDIR/libmpich.a" ; then
5934 <      MPI_LIB="-lmpich"
5935 <    elif test -f "$MPI_LIBDIR/libmpi.so" ; then
5936 <      MPI_LIB="-lmpi"
5937 <    elif test -f "$MPI_LIBDIR/libmpi.a" ; then
5938 <      MPI_LIB="-lmpi"
5939 <    else
5940 <      { { echo "$as_me:$LINENO: error: neither libmpi nor libmpich found; check path for MPI package first..." >&5
5941 < echo "$as_me: error: neither libmpi nor libmpich found; check path for MPI package first..." >&2;}
5942 <   { (exit 1); exit 1; }; }
5943 <    fi
5944 <    echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5900 > echo "$as_me:$LINENO: checking whether mpif.h is usable" >&5
5901 > echo $ECHO_N "checking whether mpif.h is usable... $ECHO_C" >&6
5902 > HAVE_MPIFDOTH_F90="no"
5903 > rm -f conftest*
5904 > cat >conftest.f90 <<EOF
5905 > program main
5906 >  include 'mpif.h'
5907 > end
5908 > EOF
5909 > if $F90 -I$MPI_INC -c conftest.f90 > conftest.out 2>&1 ; then
5910 >   echo "$as_me:$LINENO: result: yes" >&5
5911 > echo "${ECHO_T}yes" >&6
5912 >   MPI_F90INC="$MPI_INC"
5913 >   HAVE_MPIFDOTH_F90="yes"
5914 > else
5915 >   if test -s conftest.out ; then cat conftest.out >> config.log ; fi
5916 >   echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
5917 > echo "${ECHO_T}no! Check MPI include paths" >&6
5918 > fi
5919 > rm -f conftest*
5920 >
5921 >
5922 > ac_ext=c
5923 > ac_cpp='$CPP $CPPFLAGS'
5924 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5925 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5926 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
5927 >
5928 > ac_save_LDFLAGS=$LDFLAGS
5929 > LDFLAGS="${LDFLAGS} -L${MPI_LIBDIR} "
5930 >
5931 > if test x = x"$MPI_LIB"; then
5932 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5933 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5934 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
5935 >  echo $ECHO_N "(cached) $ECHO_C" >&6
5936 > else
5937 >  ac_check_lib_save_LIBS=$LIBS
5938 > LIBS="-lmpi  $LIBS"
5939 > cat >conftest.$ac_ext <<_ACEOF
5940 > /* confdefs.h.  */
5941 > _ACEOF
5942 > cat confdefs.h >>conftest.$ac_ext
5943 > cat >>conftest.$ac_ext <<_ACEOF
5944 > /* end confdefs.h.  */
5945 >
5946 > /* Override any gcc2 internal prototype to avoid an error.  */
5947 > #ifdef __cplusplus
5948 > extern "C"
5949 > #endif
5950 > /* We use char because int might match the return type of a gcc2
5951 >   builtin and then its argument prototype would still apply.  */
5952 > char MPI_Init ();
5953 > int
5954 > main ()
5955 > {
5956 > MPI_Init ();
5957 >  ;
5958 >  return 0;
5959 > }
5960 > _ACEOF
5961 > rm -f conftest.$ac_objext conftest$ac_exeext
5962 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5963 >  (eval $ac_link) 2>conftest.er1
5964 >  ac_status=$?
5965 >  grep -v '^ *+' conftest.er1 >conftest.err
5966 >  rm -f conftest.er1
5967 >  cat conftest.err >&5
5968 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5969 >  (exit $ac_status); } &&
5970 >         { ac_try='test -z "$ac_c_werror_flag"
5971 >                         || test ! -s conftest.err'
5972 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5973 >  (eval $ac_try) 2>&5
5974 >  ac_status=$?
5975 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5976 >  (exit $ac_status); }; } &&
5977 >         { ac_try='test -s conftest$ac_exeext'
5978 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5979 >  (eval $ac_try) 2>&5
5980 >  ac_status=$?
5981 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5982 >  (exit $ac_status); }; }; then
5983 >  ac_cv_lib_mpi_MPI_Init=yes
5984 > else
5985 >  echo "$as_me: failed program was:" >&5
5986 > sed 's/^/| /' conftest.$ac_ext >&5
5987 >
5988 > ac_cv_lib_mpi_MPI_Init=no
5989 > fi
5990 > rm -f conftest.err conftest.$ac_objext \
5991 >      conftest$ac_exeext conftest.$ac_ext
5992 > LIBS=$ac_check_lib_save_LIBS
5993 > fi
5994 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5995 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5996 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
5997 >  MPI_LIB="-lmpi"
5998 > fi
5999 >
6000 > fi
6001 > if test x = x"$MPI_LIB"; then
6002 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
6003 > echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
6004 > if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
6005 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6006 > else
6007 >  ac_check_lib_save_LIBS=$LIBS
6008 > LIBS="-lmpich  $LIBS"
6009 > cat >conftest.$ac_ext <<_ACEOF
6010 > /* confdefs.h.  */
6011 > _ACEOF
6012 > cat confdefs.h >>conftest.$ac_ext
6013 > cat >>conftest.$ac_ext <<_ACEOF
6014 > /* end confdefs.h.  */
6015 >
6016 > /* Override any gcc2 internal prototype to avoid an error.  */
6017 > #ifdef __cplusplus
6018 > extern "C"
6019 > #endif
6020 > /* We use char because int might match the return type of a gcc2
6021 >   builtin and then its argument prototype would still apply.  */
6022 > char MPI_Init ();
6023 > int
6024 > main ()
6025 > {
6026 > MPI_Init ();
6027 >  ;
6028 >  return 0;
6029 > }
6030 > _ACEOF
6031 > rm -f conftest.$ac_objext conftest$ac_exeext
6032 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6033 >  (eval $ac_link) 2>conftest.er1
6034 >  ac_status=$?
6035 >  grep -v '^ *+' conftest.er1 >conftest.err
6036 >  rm -f conftest.er1
6037 >  cat conftest.err >&5
6038 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6039 >  (exit $ac_status); } &&
6040 >         { ac_try='test -z "$ac_c_werror_flag"
6041 >                         || test ! -s conftest.err'
6042 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6043 >  (eval $ac_try) 2>&5
6044 >  ac_status=$?
6045 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6046 >  (exit $ac_status); }; } &&
6047 >         { ac_try='test -s conftest$ac_exeext'
6048 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6049 >  (eval $ac_try) 2>&5
6050 >  ac_status=$?
6051 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6052 >  (exit $ac_status); }; }; then
6053 >  ac_cv_lib_mpich_MPI_Init=yes
6054 > else
6055 >  echo "$as_me: failed program was:" >&5
6056 > sed 's/^/| /' conftest.$ac_ext >&5
6057 >
6058 > ac_cv_lib_mpich_MPI_Init=no
6059 > fi
6060 > rm -f conftest.err conftest.$ac_objext \
6061 >      conftest$ac_exeext conftest.$ac_ext
6062 > LIBS=$ac_check_lib_save_LIBS
6063 > fi
6064 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
6065 > echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
6066 > if test $ac_cv_lib_mpich_MPI_Init = yes; then
6067 >  MPI_LIB="-lmpich"
6068 > fi
6069 >
6070 > fi
6071 > $as_unset ac_cv_lib_mpi_MPI_Init
6072 > if test x = x"$MPI_LIB"; then
6073 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
6074 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
6075 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
6076 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6077 > else
6078 >  ac_check_lib_save_LIBS=$LIBS
6079 > LIBS="-lmpi "-llam" $LIBS"
6080 > cat >conftest.$ac_ext <<_ACEOF
6081 > /* confdefs.h.  */
6082 > _ACEOF
6083 > cat confdefs.h >>conftest.$ac_ext
6084 > cat >>conftest.$ac_ext <<_ACEOF
6085 > /* end confdefs.h.  */
6086 >
6087 > /* Override any gcc2 internal prototype to avoid an error.  */
6088 > #ifdef __cplusplus
6089 > extern "C"
6090 > #endif
6091 > /* We use char because int might match the return type of a gcc2
6092 >   builtin and then its argument prototype would still apply.  */
6093 > char MPI_Init ();
6094 > int
6095 > main ()
6096 > {
6097 > MPI_Init ();
6098 >  ;
6099 >  return 0;
6100 > }
6101 > _ACEOF
6102 > rm -f conftest.$ac_objext conftest$ac_exeext
6103 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6104 >  (eval $ac_link) 2>conftest.er1
6105 >  ac_status=$?
6106 >  grep -v '^ *+' conftest.er1 >conftest.err
6107 >  rm -f conftest.er1
6108 >  cat conftest.err >&5
6109 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6110 >  (exit $ac_status); } &&
6111 >         { ac_try='test -z "$ac_c_werror_flag"
6112 >                         || test ! -s conftest.err'
6113 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6114 >  (eval $ac_try) 2>&5
6115 >  ac_status=$?
6116 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6117 >  (exit $ac_status); }; } &&
6118 >         { ac_try='test -s conftest$ac_exeext'
6119 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6120 >  (eval $ac_try) 2>&5
6121 >  ac_status=$?
6122 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6123 >  (exit $ac_status); }; }; then
6124 >  ac_cv_lib_mpi_MPI_Init=yes
6125 > else
6126 >  echo "$as_me: failed program was:" >&5
6127 > sed 's/^/| /' conftest.$ac_ext >&5
6128 >
6129 > ac_cv_lib_mpi_MPI_Init=no
6130 > fi
6131 > rm -f conftest.err conftest.$ac_objext \
6132 >      conftest$ac_exeext conftest.$ac_ext
6133 > LIBS=$ac_check_lib_save_LIBS
6134 > fi
6135 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
6136 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
6137 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
6138 >  MPI_LIB="-lmpi -llam"
6139 > fi
6140 >
6141 > fi
6142 >
6143 > $as_unset ac_cv_lib_mpi_MPI_Init
6144 > if test x = x"$MPI_LIB"; then
6145 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
6146 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
6147 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
6148 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6149 > else
6150 >  ac_check_lib_save_LIBS=$LIBS
6151 > LIBS="-lmpi -llam -lpthread $LIBS"
6152 > cat >conftest.$ac_ext <<_ACEOF
6153 > /* confdefs.h.  */
6154 > _ACEOF
6155 > cat confdefs.h >>conftest.$ac_ext
6156 > cat >>conftest.$ac_ext <<_ACEOF
6157 > /* end confdefs.h.  */
6158 >
6159 > /* Override any gcc2 internal prototype to avoid an error.  */
6160 > #ifdef __cplusplus
6161 > extern "C"
6162 > #endif
6163 > /* We use char because int might match the return type of a gcc2
6164 >   builtin and then its argument prototype would still apply.  */
6165 > char MPI_Init ();
6166 > int
6167 > main ()
6168 > {
6169 > MPI_Init ();
6170 >  ;
6171 >  return 0;
6172 > }
6173 > _ACEOF
6174 > rm -f conftest.$ac_objext conftest$ac_exeext
6175 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6176 >  (eval $ac_link) 2>conftest.er1
6177 >  ac_status=$?
6178 >  grep -v '^ *+' conftest.er1 >conftest.err
6179 >  rm -f conftest.er1
6180 >  cat conftest.err >&5
6181 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6182 >  (exit $ac_status); } &&
6183 >         { ac_try='test -z "$ac_c_werror_flag"
6184 >                         || test ! -s conftest.err'
6185 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6186 >  (eval $ac_try) 2>&5
6187 >  ac_status=$?
6188 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6189 >  (exit $ac_status); }; } &&
6190 >         { ac_try='test -s conftest$ac_exeext'
6191 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6192 >  (eval $ac_try) 2>&5
6193 >  ac_status=$?
6194 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6195 >  (exit $ac_status); }; }; then
6196 >  ac_cv_lib_mpi_MPI_Init=yes
6197 > else
6198 >  echo "$as_me: failed program was:" >&5
6199 > sed 's/^/| /' conftest.$ac_ext >&5
6200 >
6201 > ac_cv_lib_mpi_MPI_Init=no
6202 > fi
6203 > rm -f conftest.err conftest.$ac_objext \
6204 >      conftest$ac_exeext conftest.$ac_ext
6205 > LIBS=$ac_check_lib_save_LIBS
6206 > fi
6207 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
6208 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
6209 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
6210 >  MPI_LIB="-lmpi -llam -lpthread"
6211 > else
6212 >  { { echo "$as_me:$LINENO: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&5
6213 > echo "$as_me: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&2;}
6214 >   { (exit 1); exit 1; }; }
6215 > fi
6216 >
6217 > fi
6218 >
6219 > echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
6220   echo "${ECHO_T}found $MPI_LIB" >&6
6221 <  ;;
6222 < esac
6221 >
6222 >
6223 > echo "$as_me:$LINENO: checking for MPI Fortran library" >&5
6224 > echo $ECHO_N "checking for MPI Fortran library... $ECHO_C" >&6
6225 > MPI_F90LIB=""
6226 > if test -f "$MPI_LIBDIR/libfmpich.a" ; then
6227 >  MPI_F90LIB="-lfmpich"
6228 > elif test -f "$MPI_LIBDIR/liblamf77mpi.a" ; then
6229 >  MPI_F90LIB="-llamf77mpi"
6230 > else
6231 >  # nothing special found, we'll assume that the C library is all we need
6232 >  MPI_F90LIB="  "
6233 > fi
6234 > echo "$as_me:$LINENO: result: found $MPI_F90LIB" >&5
6235 > echo "${ECHO_T}found $MPI_F90LIB" >&6
6236 >
6237  
6238  
6239  
# Line 6713 | Line 7016 | fi
7016  
7017    CPPFLAGS=$ac_save_CPPFLAGS
7018    LDFLAGS=$ac_save_LDFLAGS
7019 <  ac_ext=f90
7020 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
7021 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7022 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
7019 >  ac_ext=c
7020 > ac_cpp='$CPP $CPPFLAGS'
7021 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7022 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7023 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
7024  
7025  
7026    if test x_$HAVE_SPRNG != x_yes; then
# Line 6737 | Line 7041 | echo "${ECHO_T}yes" >&6
7041    withval="$with_mkl"
7042       echo "$as_me:$LINENO: result: yes" >&5
7043   echo "${ECHO_T}yes" >&6
7044 <    for dir in $withval /usr/local/intel/mkl60 /opt/intel/mkl60; do
7044 >    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
7045          mkldir="$dir"
7046          if test -f "$dir/include/mkl.h"; then
7047              found_mkl="yes";
# Line 6981 | Line 7285 | fi
7285  
7286    CPPFLAGS=$ac_save_CPPFLAGS
7287    LDFLAGS=$ac_save_LDFLAGS
7288 <  ac_ext=f90
7289 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
7290 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7291 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
7288 >  ac_ext=c
7289 > ac_cpp='$CPP $CPPFLAGS'
7290 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7291 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7292 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
7293  
7294  
7295    if test x_$HAVE_MKL != x_yes; then
# Line 7746 | Line 8051 | s,@MPI_LIB@,$MPI_LIB,;t t
8051   s,@mpi@,$mpi,;t t
8052   s,@MPI_LIBDIR@,$MPI_LIBDIR,;t t
8053   s,@MPI_INC@,$MPI_INC,;t t
8054 + s,@MPI_F90INC@,$MPI_F90INC,;t t
8055   s,@MPI_LIB@,$MPI_LIB,;t t
8056 + s,@MPI_F90LIB@,$MPI_F90LIB,;t t
8057   s,@CPP@,$CPP,;t t
8058   s,@EGREP@,$EGREP,;t t
8059   s,@SPRNG_LIBDIR@,$SPRNG_LIBDIR,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines